'use strict';

var STORAGE_NAME = 'abbey';

function getSession() {
  return JSON.parse(sessionStorage.getItem(STORAGE_NAME)) || {
    tests: {}
  };
}

function saveSession(session) {
  return sessionStorage.setItem(STORAGE_NAME, JSON.stringify(session));
}

function getTest(id) {
  return getSession().tests[id];
}

function saveTest(id, data) {
  var session = getSession();
  session.tests[id] = data;
  return saveSession(session);
}

exports.getSession = getSession;
exports.saveSession = saveSession;
exports.getTest = getTest;
exports.saveTest = saveTest;
//# sourceMappingURL=session.js.map