'use strict';

var Test = require('./test');
var Variation = require('./variation');

function abbey(options, data) {
  return new Test(options).run(data);
}

abbey.setHost = function (host) {
  Variation.host = host;
};

abbey.getTest = function (id) {
  return Test.tests[id];
};

abbey.getVariation = function (id) {
  return Variation.variations[id];
};

abbey.Test = Test;
abbey.Variation = Variation;

module.exports = abbey;
//# sourceMappingURL=index.js.map